/**
 * @file stm.cpp
 * @brief Stm component implementation
 * @author Mahmoud Elmohtady
 * @company Nabd solutions - ASF
 * @copyright Copyright (c) 2025
 */

#include "stm.hpp"
#include "logger.hpp"

static const char* TAG = "Stm";

Stm::Stm()
    : m_isInitialized(false)
{
}

Stm::~Stm()
{
    deinitialize();
}

bool Stm::initialize()
{
    // TODO: Implement initialization
    m_isInitialized = true;
    ASF_LOGI(TAG, 4600, asf::logger::Criticality::LOW, "Stm initialized successfully");
    return true;
}

bool Stm::deinitialize()
{
    if (!m_isInitialized)
    {
        return false;
    }

    // TODO: Implement deinitialization
    m_isInitialized = false;
    return true;
}

bool Stm::isInitialized() const
{
    return m_isInitialized;
}
